Access

Check and start two-factor verification

GET/v3/signin/sfa

Checks the active two-factor authentication methods for the authenticated user and initiates the verification process. When sfaType is phone-based (sms, call, whatsapp) the service sends the OTP code immediately and returns a retryIntervalSeconds countdown.

Optionally accepts an operation query parameter to scope the 2FA challenge to a specific action (e.g. withdrawal, email change).

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Query Parameters

operation?string

Scopes the 2FA challenge to a specific action.

Value in

  • "sfa.withdrawal"
  • "sfa.emailModification"
  • "sfa.phoneModification"
  • "sfa.personalDataAccess"
  • "sfa.login"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Check and start two-factor verification
curl --request GET \  --url 'https://gateway.bit2me.com/v3/signin/sfa'
Example1 of 2
{  "codeLength": 6,  "sfaType": "gauth"}